import { Rectangle } from "../../../pixi/pixi.mjs";

class _type_TerrainTilesMapPreDefinition
{
    /**
     * @type {Array<Rectangle>}
     */
    textureVariations;
    /**
     * @type {Number}
     */
    textureVariationsNumber;
    /**
     * @type {Number}
     */
    zIndex;
}

/**
 * @type {Array<_type_TerrainTilesMapPreDefinition>}
 */
export const TerrainTilesMapPreDefinition = {
    //water
    0: {
        textureVariations: [new Rectangle(1, 1, 32, 32)],
        textureVariationsNumber: 1,
        zIndex: 4,
    },
    //sand
    1: {
        textureVariations: [new Rectangle(1, 35, 32, 32), new Rectangle(35, 35, 32, 32), new Rectangle(69, 35, 32, 32), new Rectangle(103, 35, 32, 32)],
        textureVariationsNumber: 4,
        zIndex: 2,
    },
    //grass
    2: {
        textureVariations: [new Rectangle(1, 69, 32, 32), new Rectangle(35, 69, 32, 32), new Rectangle(69, 69, 32, 32)],
        textureVariationsNumber: 3,
        zIndex: 3,
    },
    //stone
    3: {
        textureVariations: [new Rectangle(1, 103, 32, 32)],
        textureVariationsNumber: 1,
        zIndex: 1,
    },
};
